<?php
	$snof= intval (isset($_REQUEST['snof']) ? (is_null($_REQUEST['snof'])? '0':$_REQUEST['snof']) : '0');

    include '../rdb/conn.php';
    $result = array();
    
    $sql= "SELECT  count(*) FROM  mail_establecimientos_rojo  WHERE  snof like '".$snof."'";
    
    $rs = mysqli_query( $conn,$sql);
    $row = mysqli_fetch_row($rs);
    $result["total"] = $row[0];
    
    if ($row[0]===0) {
    $result["msg"]="No se encontro valores para los mails del establecimeinto $snof ";
    return;
    }
    
    //ahora que se que hay regitro completo valores
    $sql= "SELECT  snof ,    mail_siv 'to' ,  concat(mail_inocuidad,',',mail_direccion) 'copy' FROM  mail_establecimientos_rojo e, mail_oficinas o
WHERE snof LIKE  '$snof'
AND o.id = e.oficina_id";
   
    $rs = mysqli_query( $conn,$sql);
    
    $items = array();
    while($row = mysqli_fetch_object($rs)){
        array_push($items, $row);
    }
    $result["rows"] = $items;
    $result["sql"] = $sql;

    echo json_encode($result);
    
    ?>
    
    
